public static interface DnsEndpointBuilderFactory.DnsBuilders
| Modifier and Type | Method and Description |
|---|---|
default DnsEndpointBuilderFactory.DnsEndpointBuilder |
dns(String path)
DNS (camel-dns)
Perform DNS queries using DNSJava.
|
default DnsEndpointBuilderFactory.DnsEndpointBuilder |
dns(String componentName,
String path)
DNS (camel-dns)
Perform DNS queries using DNSJava.
|
default DnsEndpointBuilderFactory.DnsEndpointBuilder dns(String path)
dns:dnsType
Path parameter: dnsType (required)
The type of the lookup.
There are 4 enums and the value can be one of: dig, ip, lookup,
wikipediapath - dnsTypedefault DnsEndpointBuilderFactory.DnsEndpointBuilder dns(String componentName, String path)
dns:dnsType
Path parameter: dnsType (required)
The type of the lookup.
There are 4 enums and the value can be one of: dig, ip, lookup,
wikipediacomponentName - to use a custom component name for the endpoint
instead of the default namepath - dnsTypeApache Camel